Subject: Re: [Bitcoin-development] BIP - Hash Locked Transaction

From: Tier Nolan <[email-masked]>
Date: Fri, 25 Apr 2014 22:52:01 +0100

On Fri, Apr 25, 2014 at 10:14 PM, Peter Todd <[email-masked]> wrote:

> Along those lines, rather than doing up yet another format specific type
> as Tier Nolan is doing with his BIP, why not write a BIP looking at how
> the IsStandard() rules could be removed?

Removal of isStandard() would be even better/more flexible.

A whitelist of low risk opcodes seems like a reasonable compromise.

My thoughts behind these two BIPs are that they are a smaller change that
adds functionality required for a particular use-case (and some others).

Changing the entire philosophy behind isStandard() is a much bigger change
than just adding one new type.